Heartbleed and JetPack exploits

Many of you may now be aware of a couple of potentially disastrous issues plaguing the Interwebs and especially WordPress users.

There are a couple of potentially distressing issues getting around the Internet at the moment

I am of course talking about the OpenSSL Heartbleed and JetPack plugin exploits. [Continue Reading]